Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.deployment.jboss
Class ObjectDeployment

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.Deployment
          org.jboss.portal.core.deployment.jboss.ObjectDeployment

    public class ObjectDeployment

extends Deployment

Version:
  $Revision: 11767 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Field Summary
`protected ObjectDeploymentFactory` | `factory` The factory that created this deployment.
`protected boolean` | `isTrace` .
`static int` | `KEEP_IF_EXISTS` .
`protected static org.jboss.logging.Logger` | `log` The logger.
`static int` | `OVERWRITE_IF_EXISTS` .
`protected javax.transaction.TransactionManager` | `tm` .
`protected java.util.ArrayList<org.jboss.portal.core.deployment.jboss.ObjectDeployment.Unit>` | `units` What we have deployed.

Fields inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`mbeanServer, pwa, url`

Constructor Summary
`ObjectDeployment(java.net.URL url, javax.management.MBeanServer mbeanServer, javax.transaction.TransactionManager tm, PortalWebApp pwa, ObjectDeploymentFactory factory)`

Method Summary
`protected void` | `doStart()`
`ObjectDeploymentFactory` | `getFactory()` Return factory
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`create, destroy, findRepositoryClassLoader, findWEBINFURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OVERWRITE_IF_EXISTS

    public static final int OVERWRITE_IF_EXISTS

  .

  See Also:
    Constant Field Values

### KEEP_IF_EXISTS

    public static final int KEEP_IF_EXISTS

  .

  See Also:
    Constant Field Values

### log

    protected static final org.jboss.logging.Logger log

  The logger.

### isTrace

    protected boolean isTrace

  .

### tm

    protected javax.transaction.TransactionManager tm

  .

### factory

    protected ObjectDeploymentFactory factory

  The factory that created this deployment.

### units

    protected java.util.ArrayList<org.jboss.portal.core.deployment.jboss.ObjectDeployment.Unit> units

  What we have deployed.

Constructor Detail

### ObjectDeployment

    public ObjectDeployment(java.net.URL url,
                            javax.management.MBeanServer mbeanServer,
                            javax.transaction.TransactionManager tm,
                            PortalWebApp pwa,
                            ObjectDeploymentFactory factory)

Method Detail

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Overrides:
    `start` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException`

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws org.jboss.deployment.DeploymentException

  Overrides:
    `stop` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException`

### getFactory

    public ObjectDeploymentFactory getFactory()

  Return factory

  Returns:
    @see ObjectDeploymentFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD